Bug 1825186 - Rebase to puppet-collectd v12
Summary: Rebase to puppet-collectd v12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-collectd
Version: 16.0 (Train)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 16.1 (Train on RHEL 8.2)
Assignee: Matthias Runge
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks: 1410048 1776815
TreeView+ depends on / blocked
 
Reported: 2020-04-17 10:39 UTC by Matthias Runge
Modified: 2020-07-29 07:52 UTC (History)
7 users (show)

Fixed In Version: puppet-collectd-12.0.0-0.20200428113423.4686e16.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-29 07:51:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:3148 0 None None None 2020-07-29 07:52:02 UTC

Description Matthias Runge 2020-04-17 10:39:24 UTC
Description of problem:

only recently, there was the config option for logparser[1] and snmp_write plugin added. The configuration for dpdk-telemetry is [2].


Version-Release number of selected component (if applicable):
16.1

This blocks https://bugzilla.redhat.com/show_bug.cgi?id=1409872 and https://bugzilla.redhat.com/show_bug.cgi?id=1410048


[1] https://github.com/voxpupuli/puppet-collectd/commit/d0fcd39c26220103ba872ae1b504f3ba2c24e26d
[2] https://github.com/voxpupuli/puppet-collectd/pull/913

Comment 1 Matthias Runge 2020-04-17 10:44:14 UTC
Added the right bugs blocked by this.

The change will also require something like https://review.opendev.org/#/c/718200/

Comment 3 Matthias Runge 2020-04-17 10:50:47 UTC
RDO patches related to this are: https://review.rdoproject.org/r/#/c/26554/  and https://review.rdoproject.org/r/#/c/26555/

Comment 5 Matthias Runge 2020-04-22 14:56:20 UTC
backports to train

https://review.rdoproject.org/r/#/c/26685/
https://review.rdoproject.org/r/26686

Comment 7 Matthias Runge 2020-04-28 10:49:18 UTC
both pending patches in RDO are merged now

Comment 11 Alex McLeod 2020-06-16 12:34:11 UTC
If this bug requires doc text for errata release, please set the 'Doc Type' and provide draft text according to the template in the 'Doc Text' field. The documentation team will review, edit, and approve the text.

If this bug does not require doc text, please set the 'requires_doc_text' flag to '-'.

Comment 12 Matthias Runge 2020-07-08 15:46:11 UTC
I am confident this works.

Comment 13 Matthias Runge 2020-07-08 17:39:10 UTC
that being said, this is used for deployments for quite some time and it works fine.

Comment 15 errata-xmlrpc 2020-07-29 07:51:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3148


Note You need to log in before you can comment on or make changes to this bug.